# Questo è un programma Python per inizializzare un array con valori corrispondenti agli indici e calcolare la somma dei suoi elementi.

# Dichiarazione di un array di interi
numbers = [1, 2, 3, 4, 5]  # Array inizializzato

# Riassegnazione degli elementi dell'array con i valori degli indici
for i in range(len(numbers)):
    numbers[i] = i + 1  # In Python, gli indici partono da 0, quindi usiamo i + 1

# Calcolo della somma degli elementi dell'array
sum = 0
for number in numbers:
    sum += number

# Stampa della somma
print("La somma degli elementi dell'array è:", sum)

# Note:
# 1. Gli array in Fortran sono gestiti tramite l'uso di DIMENSION e devono essere indicizzati esplicitamente. In Python, si utilizzano liste, e l'indicizzazione è gestita con cicli `for` che possono iterare direttamente sugli elementi o sugli indici.
# 2. Python permette di riassegnare direttamente gli elementi della lista all'interno di un ciclo `for`, cosa che è meno diretta in Fortran.
# 3. L'operatore `+=` è utilizzato per aggiungere un valore alla somma corrente, semplificando la notazione rispetto al più verboso aggiornamento di variabili in Fortran.
# 4. La funzione `print()` in Python sostituisce la sintassi più complessa di `PRINT *` in Fortran, rendendo il codice più snello e leggibile.
