# Questo è un programma Python per calcolare il fattoriale di un numero intero non negativo inserito dall'utente.

# Richiesta di inserimento di un numero intero non negativo
n = int(input("Inserisci un numero intero non negativo:"))

# Controllo se il numero è negativo
if n < 0:
    print("Errore: inserito un numero negativo.")
    exit()  # Equivalente di STOP in Fortran per terminare il programma

# Calcolo del fattoriale
factorial = 1
for i in range(1, n + 1):
    factorial *= i  # Moltiplicazione del fattoriale corrente per i

# Stampa del risultato
print(f"Il fattoriale di {n} è {factorial}")

# Note:
# 1. In Python, l'input viene raccolto con `input()` e convertito in intero con `int()`.
# 2. Il ciclo `for` in Python utilizza `range()` per generare una sequenza di numeri, che è più diretto e meno soggetto ad errori di indicizzazione rispetto al `DO` di Fortran.
# 3. Python non richiede specificazioni di tipo all'inizio e gestisce gli errori in modo più flessibile con funzioni come `exit()` per terminare il programma.
# 4. L'uso delle f-stringhe (`f"Il fattoriale di {n} è {factorial}"`) in Python rende la formattazione del testo più leggibile e comoda rispetto alla concatenazione di testo e variabili in Fortran.

