# Questo programma Python calcola il minimo comune multiplo (MCM) di due numeri utilizzando l'algoritmo di Euclide per il massimo comune divisore (MCD).

# Richiesta di inserimento di due numeri
a = int(input("Inserisci due numeri per calcolare il loro MCM:"))
b = int(input())

# Copia dei valori per il calcolo
tempA = a
tempB = b

# Calcolo del MCD usando l'algoritmo di Euclide
while tempB != 0:
    gcd = tempA % tempB  # MOD in Fortran è sostituito dall'operatore % in Python
    tempA = tempB
    tempB = gcd

# Calcolo del MCM
lcm = a * b // gcd  # Utilizzo della divisione intera per evitare numeri decimali

# Stampa del risultato
print(f"Il MCM di {a} e {b} è {lcm}")

# Note:
# 1. Python utilizza `//` per la divisione intera, necessaria per calcolare il MCM evitando numeri float.
# 2. L'uso di `while` in Python corrisponde al `DO WHILE` in Fortran. L'operatore di modulo `%` in Python è simile a `MOD` in Fortran.
# 3. In Python, l'input viene preso con `input()` e convertito immediatamente in intero con `int()`.
# 4. Python non richiede dichiarazioni di tipo esplicite come in Fortran e l'indentazione delimita i blocchi di codice, rendendo il programma più leggibile.

