# Questo programma Python genera i primi n numeri della serie di Fibonacci, basandosi sull'input dell'utente.

# Richiesta di inserimento del numero di elementi della serie di Fibonacci
n = int(input("Quanti numeri di Fibonacci vuoi generare?"))

a, b = 0, 1  # Inizializzazione delle prime due variabili di Fibonacci

print("Serie di Fibonacci:")
print(a)  # Stampa il primo numero di Fibonacci

if n > 1:
    print(b)  # Stampa il secondo numero se n > 1

# Generazione della serie di Fibonacci per n numeri
for i in range(2, n):  # Il ciclo inizia da 2 perché i primi due numeri sono già stampati
    next = a + b
    print(next)
    a, b = b, next  # Aggiornamento delle variabili per il prossimo ciclo

# Note:
# 1. In Python, l'operazione di assegnazione può essere fatta per più variabili in una sola riga, come mostrato con `a, b = 0, 1` e `a, b = b, next`, rendendo il codice più compatto e leggibile.
# 2. Python utilizza `print()` per la stampa diretta, che è più versatile e diretto rispetto a `PRINT *` in Fortran.
# 3. Il ciclo `for` in Python utilizza `range(2, n)`, che crea automaticamente un iteratore che parte da 2 fino a \( n-1 \), escludendo \( n \). Questo è diverso dal `DO` in Fortran, dove i limiti del ciclo devono essere specificati esplicitamente.
# 4. In Python, non è necessario dichiarare il tipo delle variabili o la loro dimensione prima di usarle, a differenza di Fortran.

