# Questo programma Python calcola la somma delle cifre di un numero inserito dall'utente.

# Richiesta di inserimento di un numero
num = int(input("Inserisci un numero per calcolare la somma delle sue cifre:"))

# Inizializzazione delle variabili
temp = abs(num)  # Calcola il valore assoluto del numero per gestire anche i numeri negativi
sum = 0

# Ciclo che continua finché ci sono cifre da sommare
while temp > 0:
    sum += temp % 10  # Aggiunge l'ultima cifra di temp alla somma
    temp //= 10  # Rimuove l'ultima cifra da temp usando la divisione intera

# Stampa del risultato
print(f"La somma delle cifre del numero {num} è {sum}")

# Note:
# 1. Python utilizza `abs()` per il valore assoluto, che è diretto e leggibile, rispetto alla funzione `ABS` di Fortran.
# 2. L'operatore `%` in Python ottiene il resto di una divisione, equivalente a `MOD` in Fortran.
# 3. `//=` è l'operatore di divisione intera in Python, che si assicura che il risultato sia sempre un intero, simile a `/` in Fortran quando usato con interi.
# 4. Python usa l'indentazione per delimitare i blocchi di codice, eliminando la necessità di parole chiave come `END DO` usate in Fortran.

